bugGNU Health - Bugs: bug #62628, Crash when creating a database...

 
 

You are not allowed to post comments on this tracker with your current authentication level.

bug #62628: Crash when creating a database using latests sources

Submitter:  Sergi Almacellas Abellana <pokoli>
Submitted:  Wed 15 Jun 2022 10:28:01 AM UTC
 
Category:  Installation Severity:  3 - Normal
Item Group:  None Status:  Works For Me
Privacy:  Public Assigned to:  meanmicio
Open/Closed:  Open Release:  4.0.0
Module:  health Component:  None

Sat 16 Jul 2022 05:05:27 PM UTC, comment #1: 

Hi, Sergi
Seems like an issue with the help XML datafile, although I can't reproduce it using the standard/vanilla installation.

Bests
Luis

Luis Falcon <meanmicio>
Project Administrator
Wed 15 Jun 2022 10:28:01 AM UTC, original submission:  

I get the following exception when activating the health module on a new database:

Traceback (most recent call last):
  File "/home/pokoli/.virtualenvs/gnuhealth/lib/python3.10/site-packages/trytond/convert.py", line 458, in parse_xmlstream
    self.sax_parser.parse(source)
  File "/usr/lib/python3.10/xml/sax/expatreader.py", line 111, in parse
    xmlreader.IncrementalParser.parse(self, source)
  File "/usr/lib/python3.10/xml/sax/xmlreader.py", line 125, in parse
    self.feed(buffer)
  File "/usr/lib/python3.10/xml/sax/expatreader.py", line 217, in feed
    self._parser.Parse(data, isFinal)
  File "/build/python/src/Python-3.10.5/Modules/pyexpat.c", line 416, in StartElement
  File "/usr/lib/python3.10/xml/sax/expatreader.py", line 333, in start_element
    self._cont_handler.startElement(name, AttributesImpl(attrs))
  File "/home/pokoli/.virtualenvs/gnuhealth/lib/python3.10/site-packages/trytond/convert.py", line 490, in startElement
    self.taghandler.startElement(name, attributes)
  File "/home/pokoli/.virtualenvs/gnuhealth/lib/python3.10/site-packages/trytond/convert.py", line 237, in startElement
    found, = SearchModel.search(eval(search_attr, context))
ValueError: not enough values to unpack (expected 1, got 0)

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/pokoli/.virtualenvs/gnuhealth/bin/trytond-admin", line 23, in <module>
    admin.run(options)
  File "/home/pokoli/.virtualenvs/gnuhealth/lib/python3.10/site-packages/trytond/admin.py", line 53, in run
    pool.init(update=options.update, lang=list(lang),
  File "/home/pokoli/.virtualenvs/gnuhealth/lib/python3.10/site-packages/trytond/pool.py", line 164, in init
    restart = not load_modules(
  File "/home/pokoli/.virtualenvs/gnuhealth/lib/python3.10/site-packages/trytond/modules/__init__.py", line 438, in load_modules
    _load_modules(update)
  File "/home/pokoli/.virtualenvs/gnuhealth/lib/python3.10/site-packages/trytond/modules/__init__.py", line 406, in _load_modules
    load_module_graph(graph, pool, update, lang)
  File "/home/pokoli/.virtualenvs/gnuhealth/lib/python3.10/site-packages/trytond/modules/__init__.py", line 252, in load_module_graph
    tryton_parser.parse_xmlstream(fp)
  File "/home/pokoli/.virtualenvs/gnuhealth/lib/python3.10/site-packages/trytond/convert.py", line 460, in parse_xmlstream
    raise Exception("Error " + self.current_state()) from e
Exception: Error In tag record model gnuhealth.help with id health.SM-CORE-0006.

The problem is related to the gnuhealth help command which is related to the health module. I'm using the following comand to raise the issue:

$ createdb health
$ trytond-admin -d health -u health --activate-dependencies -vv

Sergi Almacellas Abellana <pokoli>
Project Member

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by meanmicio (Posted a comment)
  • -email is unavailable- added by pokoli (Submitted the item)
  •  

    There are 0 votes so far. Votes easily highlight which items people would like to see resolved in priority, independently of the priority of the item set by tracker managers.

     

     

     

    Follow 3 latest changes.

    Date Changed by Updated Field Previous Value => Replaced by
    2022-07-16 meanmicio StatusNone Works For Me
        Assigned toNone meanmicio
        ReleaseNone 4.0.0

    Back to the top


    Powered by Savane 3.9